import greenfoot.*;  

public class Car  extends Vehicle
{
    private int numHits;
    
    public Car() {
        numHits = 0;
    }

    public void act() 
    {   
        //move();
        int x = getX();
        int y = getY();
        setLocation(x + 4, y + 4);
        //checkEdges();
        
        /*if(Greenfoot.getRandomNumber(100) < 20 ) 
        {
            //turn(Greenfoot.getRandomNumber(361) - 180);
             turn(Greenfoot.getRandomNumber(181) - 90);
        }*/
        
        //checkBarrels();
        //checkKeys();
    }
    
    private void checkEdges() {
        if(atWorldEdge()) {
            turn(15);
        }
    }
    
    private void checkKeys() {
        if(Greenfoot.isKeyDown("right")) {
            turn(15);
        }
        
        if(Greenfoot.isKeyDown("left")) {
            turn(-15);
        }
    }
    
    private void checkBarrels() {
        if(canSee(Barrel.class)) {
            turn(180);
            //note that we've hit a barrel
            numHits = numHits + 1;
            
            if(numHits % 3 == 1) {
                //change the image of a car
                setImage(new GreenfootImage("flower2.png"));
            }
            else if(numHits % 3 == 2) {
                setImage(new GreenfootImage("cat1-a.gif"));
            }
            else {
                setImage(new GreenfootImage("car.png"));
            }
            
            if(numHits > 10) { //we've hit too many
                //stop the scenario
                Greenfoot.stop();
            }
        }
    }
}
